# Uses of Class
org.mariadb.jdbc.internal.util.exceptions.ExceptionFactory

Packages that use ExceptionFactory
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util.exceptions

## Uses of ExceptionFactory in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as ExceptionFactory
Modifier and Type
Field
Description
`protected ExceptionFactory`
MariaDbStatement.`exceptionFactory`
Constructors in org.mariadb.jdbc with parameters of type ExceptionFactory
Modifier
Constructor
Description
``
`BasePrepareStatement(MariaDbConnection connection, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory)`
Constructor.
``
`CallableFunctionStatement(MariaDbConnection connection, String sql, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory, String databaseName, String functionName)`
Constructor for getter/setter of callableStatement.
``
`CallableProcedureStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, ExceptionFactory exceptionFactory, String database, String procedureName)`
Constructor for getter/setter of callableStatement.
``
`ClientSidePreparedStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory)`
Constructor.
``
`MariaDbFunctionStatement(MariaDbConnection connection, String databaseName, String functionName, String arguments, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Specific implementation of CallableStatement to handle function call, represent by call like {?= call procedure-name[(arg1,arg2, ...)]}.
``
`MariaDbProcedureStatement(String query, MariaDbConnection connection, String procedureName, String database, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Specific implementation of CallableStatement to handle function call, represent by call like {?= call procedure-name[(arg1,arg2, ...)]}.
``
`MariaDbStatement(MariaDbConnection connection, int resultSetScrollType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Creates a new Statement.
``
`ServerSidePreparedStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory, boolean canDelayPrepare)`
Constructor for creating Server prepared statement.

## Uses of ExceptionFactory in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as ExceptionFactory
Modifier and Type
Field
Description
`protected ExceptionFactory`
AbstractConnectProtocol.`exceptionFactory`

## Uses of ExceptionFactory in org.mariadb.jdbc.internal.util.exceptions

Fields in org.mariadb.jdbc.internal.util.exceptions declared as ExceptionFactory
Modifier and Type
Field
Description
`static final ExceptionFactory`
ExceptionFactory.`INSTANCE`
Methods in org.mariadb.jdbc.internal.util.exceptions that return ExceptionFactory
Modifier and Type
Method
Description
`static ExceptionFactory`
ExceptionFactory.`of(long threadId, Options options)`
`ExceptionFactory`
ExceptionFactory.`raiseStatementError(MariaDbConnection connection, Statement stmt)`